> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Deposit Summary: Yardi REST

PUT https://api.propexo.com/v1/deposit-summaries/yardi_rest/{deposit_summary_id}
Content-Type: application/json

Update Deposit Summary: Yardi REST. This endpoint will initiate a deposit summary as paid if the total amount of the invoice is passed in.
    Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid.
    If the deposit summary has already been paid, Yardi will throw an error.

| Interface | Method |
|---|---|
| Resident Transactions | /ItfResidentTransactions/ImportChecks |

Reference: https://docs.propexo.com/api-reference/yardi-rest/deposit-summaries/update-deposit-summary-yardi-rest

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `deposit_summary_id` (string, required) — The Propexo unique identifier for the deposit summary

### Body (application/json)

This endpoint expects a _v1_deposit-summaries_yardi_rest_{deposit_summary_id}_put_input.

- `total_amount_in_cents` (integer, required) — The total amount in cents paid out to the resident for the deposit refund. Note: Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid.
- `x_bank_id` (string, required) — The external ID of the bank from the integration vendor. You'll likely want to work with your customer to find the appropriate value here.
- `payment_method` (enum, required) — The payment method used for the refund payout. Note: To use EFT, the associated bank account must be configured for electronic payments.
  - Allowed values: `CHECK`, `EFT`
- `check_number` (string, required) — The check number. Note: Must be unique per pay out.
- `notes` (string, required) — The notes for the check.
- `post_month` (V1DepositSummariesYardiRestDepositSummaryIdPutInputPostMonth, required) — The post month of the check.
- `check_run_date` (V1DepositSummariesYardiRestDepositSummaryIdPutInputCheckRunDate, required) — The date the check was run.
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account
- `check_cleared_date` (V1DepositSummariesYardiRestDepositSummaryIdPutInputCheckClearedDate, optional) — The date the check was cleared.
- `is_not_reconciled` (boolean, optional) — Whether the check is not reconciled

## Response

### 200

Successful response

- `meta` (V1DepositSummariesYardiRestDepositSummaryIdPutOutputMeta, required)
- `result` (V1DepositSummariesYardiRestDepositSummaryIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1DepositSummariesYardiRestDepositSummaryIdPutInputPostMonth

The post month of the check.

### V1DepositSummariesYardiRestDepositSummaryIdPutInputCheckRunDate

The date the check was run.

### V1DepositSummariesYardiRestDepositSummaryIdPutInputCheckClearedDate

The date the check was cleared.

### V1DepositSummariesYardiRestDepositSummaryIdPutOutputMeta

- `job_id` (string, required)

### V1DepositSummariesYardiRestDepositSummaryIdPutOutputResult

- `deposit_summary_id` (string, required) — The Propexo unique identifier for the deposit summary
- `total_amount_in_cents` (integer, required) — The total amount in cents paid out to the resident for the deposit refund. Note: Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid.
- `x_bank_id` (string, required) — The external ID of the bank from the integration vendor. You'll likely want to work with your customer to find the appropriate value here.
- `payment_method` (enum, required) — The payment method used for the refund payout. Note: To use EFT, the associated bank account must be configured for electronic payments.
  - Allowed values: `CHECK`, `EFT`
- `check_number` (string, required) — The check number. Note: Must be unique per pay out.
- `notes` (string, required) — The notes for the check.
- `post_month` (V1DepositSummariesYardiRestDepositSummaryIdPutOutputResultPostMonth, required) — The post month of the check.
- `check_run_date` (V1DepositSummariesYardiRestDepositSummaryIdPutOutputResultCheckRunDate, required) — The date the check was run.
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account
- `check_cleared_date` (V1DepositSummariesYardiRestDepositSummaryIdPutOutputResultCheckClearedDate, optional) — The date the check was cleared.
- `is_not_reconciled` (boolean, optional) — Whether the check is not reconciled

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1DepositSummariesYardiRestDepositSummaryIdPutOutputResultPostMonth

The post month of the check.

### V1DepositSummariesYardiRestDepositSummaryIdPutOutputResultCheckRunDate

The date the check was run.

### V1DepositSummariesYardiRestDepositSummaryIdPutOutputResultCheckClearedDate

The date the check was cleared.

## Examples

**Request**

```json
{
  "total_amount_in_cents": 125000,
  "x_bank_id": "BANK123456",
  "payment_method": "CHECK",
  "check_number": "CHK789456123",
  "notes": "Refund for deposit overpayment",
  "post_month": "2024-04-01",
  "check_run_date": "2024-04-05"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b"
  },
  "result": {
    "deposit_summary_id": "dep_sum_987654321",
    "total_amount_in_cents": 125000,
    "x_bank_id": "BANK123456",
    "payment_method": "CHECK",
    "check_number": "CHK789456123",
    "notes": "Refund for deposit overpayment",
    "post_month": "2024-04-01",
    "check_run_date": "2024-04-05",
    "financial_account_id": "fin_acc_123abc456def",
    "check_cleared_date": "2024-04-10",
    "is_not_reconciled": false
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/deposit-summaries/yardi_rest/deposit_summary_id"

payload = {
    "total_amount_in_cents": 125000,
    "x_bank_id": "BANK123456",
    "payment_method": "CHECK",
    "check_number": "CHK789456123",
    "notes": "Refund for deposit overpayment",
    "post_month": "2024-04-01",
    "check_run_date": "2024-04-05"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/deposit-summaries/yardi_rest/deposit_summary_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"total_amount_in_cents":125000,"x_bank_id":"BANK123456","payment_method":"CHECK","check_number":"CHK789456123","notes":"Refund for deposit overpayment","post_month":"2024-04-01","check_run_date":"2024-04-05"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/deposit-summaries/yardi_rest/deposit_summary_id"

	payload := strings.NewReader("{\n  \"total_amount_in_cents\": 125000,\n  \"x_bank_id\": \"BANK123456\",\n  \"payment_method\": \"CHECK\",\n  \"check_number\": \"CHK789456123\",\n  \"notes\": \"Refund for deposit overpayment\",\n  \"post_month\": \"2024-04-01\",\n  \"check_run_date\": \"2024-04-05\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/deposit-summaries/yardi_rest/deposit_summary_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"total_amount_in_cents\": 125000,\n  \"x_bank_id\": \"BANK123456\",\n  \"payment_method\": \"CHECK\",\n  \"check_number\": \"CHK789456123\",\n  \"notes\": \"Refund for deposit overpayment\",\n  \"post_month\": \"2024-04-01\",\n  \"check_run_date\": \"2024-04-05\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/deposit-summaries/yardi_rest/deposit_summary_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"total_amount_in_cents\": 125000,\n  \"x_bank_id\": \"BANK123456\",\n  \"payment_method\": \"CHECK\",\n  \"check_number\": \"CHK789456123\",\n  \"notes\": \"Refund for deposit overpayment\",\n  \"post_month\": \"2024-04-01\",\n  \"check_run_date\": \"2024-04-05\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/deposit-summaries/yardi_rest/deposit_summary_id', [
  'body' => '{
  "total_amount_in_cents": 125000,
  "x_bank_id": "BANK123456",
  "payment_method": "CHECK",
  "check_number": "CHK789456123",
  "notes": "Refund for deposit overpayment",
  "post_month": "2024-04-01",
  "check_run_date": "2024-04-05"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/deposit-summaries/yardi_rest/deposit_summary_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"total_amount_in_cents\": 125000,\n  \"x_bank_id\": \"BANK123456\",\n  \"payment_method\": \"CHECK\",\n  \"check_number\": \"CHK789456123\",\n  \"notes\": \"Refund for deposit overpayment\",\n  \"post_month\": \"2024-04-01\",\n  \"check_run_date\": \"2024-04-05\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "total_amount_in_cents": 125000,
  "x_bank_id": "BANK123456",
  "payment_method": "CHECK",
  "check_number": "CHK789456123",
  "notes": "Refund for deposit overpayment",
  "post_month": "2024-04-01",
  "check_run_date": "2024-04-05"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/deposit-summaries/yardi_rest/deposit_summary_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```